<div style="width: 100%;">
<h5 *ngIf='comingFrom!="worker_washes"' align="center" style="font-weight: bold;"> {{titlename| uppercase}} PAYMENT TRANSACTIONS REPORT</h5>
<h5 *ngIf='comingFrom=="worker_washes"' align="center" style="font-weight: bold;"> {{titlename| uppercase}} WASHED CARS REPORT</h5>
<!-- <div fxLayout="row" style="margin-top: -19px;"  >

    <div fxFlex="30" class="no">
        <p style="font-weight: bold;">NO:<span> <input matInput placeholder="" class="matinput1"><span layout="row"><hr class="hr2" flex/></span></span></p>
    </div>
    <div fxFlex="90" class="dater" >
        <button mat-button style="background: #039be5" [disabled]="payments_reports.length==0" (click)="export()">Export</button>
    </div>

   

</div> -->
<!-- <div fxLayout="row" >

    
    <div fxFlex="30" style="margin-left: 20px;" *ngIf='comingFrom=="building"'>
        <p style="font-weight: bold;">Building:<span> <input matInput placeholder="" class="matinput1" [(ngModel)]="buildingname"><span layout="row"><hr class="hr" flex/></span></span></p>
    </div>
    <div fxFlex="30" *ngIf='comingFrom=="worker"'>
        <p style="font-weight: bold;">Worker:<span> <input matInput class="matinput1" [(ngModel)]="worker_name"><span layout="row"><hr class="hr" flex/></span></span></p>
    </div>
    <div fxFlex="30" class="dater">
        <p style="font-weight: bold;"> Date:<span> <input matInput placeholder="" class="matinput1" [(ngModel)]="date"><span layout="row"><hr class="hr1" flex/></span></span></p>
    </div>

 

</div> -->


<div id="buildings" class="page-layout carded fullwidth inner-scroll">
    
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <button   style="color: white;" *ngIf="navigate=='buildings'"mat-icon-button class="mr-0 mr-sm-16" [routerLink]="'/buildings'">
            <mat-icon>arrow_back</mat-icon>
        </button>
        <button style="color: white;" *ngIf="navigate=='workers'"mat-icon-button class="mr-0 mr-sm-16" [routerLink]="'/workers'">
            <mat-icon>arrow_back</mat-icon>
        </button>
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
         
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    location_city
                </mat-icon>
                <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search">
                    </div>
                </div>

            </div>
            <div >

            <div fxLayout="row">
                <div fxFlex="50" class="daterange">

              
                 
                    <div [formGroup]="dateForm"  class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer week">
                   
                    <mat-form-field appearance="fill">
                     <mat-label>Enter a date range</mat-label>
                     <input matInput formControlName="DateRange" [satDatepicker]="date" (dateInput)="OnDateChange($event.value)"
                         [max]='todayDate'>
                     <sat-datepicker #date [rangeMode]="true" [selectFirstDateOnClose]="true"></sat-datepicker>
                     <sat-datepicker-toggle matSuffix [for]="date" style="color: white;"></sat-datepicker-toggle>
                     
                 </mat-form-field>
                 </div>
                </div> 
                        
                        
                    <div fxFlex="50" style="margin-top: 22px;">
                   
                            <button mat-button  style="background: white;color:black" [disabled]="payments_reports.length==0" (click)="export()">Export</button>  
                      
                            <button mat-button  style="background: white;color:black;    margin-left: 27px;" *ngIf='comingFrom=="building"' (click)="report('building')">All Buildings</button>  
                            <button mat-button  style="background: white;color:black;    margin-left: 27px;" *ngIf='comingFrom=="worker"' (click)="report('worker')">All Workers</button>  
                            <button mat-button  style="background: white;color:black;    margin-left: 27px;" *ngIf='comingFrom=="worker_washes"' (click)="report('allWashes')">All Workers</button>  
                      
                        </div>

                    </div>
          
                <!-- <mat-form-field class="example-full-width">
                    <input matInput #input="ngModel" [(ngModel)]="date"  [max]="maxDate" [matDatepicker]="picker" placeholder="Choose a date">
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                  
                    
                  
                  </mat-form-field> -->
                   
                    <!-- <div *ngIf='comingFrom=="building"' >
                        <button mat-button style="background: white;color:black" class="btn" (click)="buildingpayment()">Submit</button>
                    </div>
                    <div  *ngIf='comingFrom=="worker"'>
                        <button mat-button style="background: white;color:black" class="btn" (click)="workerPayments()">Submit</button>
                    </div> -->
                   
                   
    
                </div>





        </div>
        
     
        <!-- / HEADER -->

        <!-- ADD BUTTON -->
       

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
        max-height: 608px;
        margin-top: -60px;">
            <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
                <!-- First Name Column -->
                <ng-container matColumnDef="sno" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>sno</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports let i=dataIndex" >
                        <p class="text-truncate">{{ paginatorRef.pageIndex * paginatorRef.pageSize + i + 1}} </p>
                    </mat-cell>
                </ng-container>
                <!-- <ng-container matColumnDef="ReceiptNO" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Receipt NO</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports">
                        <p class="text-truncate"></p>
                    </mat-cell>
                </ng-container> -->
                <ng-container matColumnDef="Customer" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Customer</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports">
                        <p class="text-truncate">{{payments_reports.fullName}}</p>
                    </mat-cell>
                </ng-container>
                <!-- <ng-container matColumnDef="Building" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Building</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports">
                        <p class="text-truncate">{{payments_reports.building_name}}</p>
                    </mat-cell>
                </ng-container> -->
                <ng-container matColumnDef="Parking" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Parking-Lot</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports">
                        <p class="text-truncate">{{payments_reports.parking_no}}</p>
                    </mat-cell>
                </ng-container>
               
            

                <ng-container matColumnDef="Vehicle" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Vehicle</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports">
                        <p class="text-truncate">{{payments_reports.vehicle}}</p>
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="Cleaner" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Worker</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports">
                        <p class="text-truncate">{{payments_reports.cleaner}}</p>
                    </mat-cell>
                </ng-container>


                <ng-container matColumnDef="Building">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Building</mat-header-cell>
                    <mat-cell *matCellDef="let payments_reports">
                        <p class="text-truncate" *ngIf="payments_reports.location!=''">{{payments_reports.building_name}}, {{payments_reports.location}}</p>
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="Paymentdate">
                    <mat-header-cell style="min-width: 40px;" *matHeaderCellDef mat-sort-header
                        >Payment-Date</mat-header-cell>
                        <mat-cell *matCellDef="let payments_reports">
                            <p class="text-truncate">{{payments_reports.paid_date}}</p>
                        </mat-cell>
                </ng-container>
                <ng-container matColumnDef="cleaned_date">
                    <mat-header-cell style="min-width: 40px;" *matHeaderCellDef mat-sort-header>Washed Date</mat-header-cell>
                        <mat-cell *matCellDef="let payments_reports">
                            <p class="text-truncate">{{payments_reports.work_date}}</p>
                        </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Totalpaidamount">
                    <mat-header-cell style="min-width: 40px;" *matHeaderCellDef mat-sort-header
                        >Total Paid Amount</mat-header-cell>
                        <mat-cell *matCellDef="let payments_reports">
                            <p class="text-truncate">{{payments_reports.amount_paid}}</p>
                        </mat-cell>
                </ng-container>
                <ng-container matColumnDef="note">
                    <mat-header-cell style="min-width: 40px;" *matHeaderCellDef mat-sort-header
                        >Note</mat-header-cell>
                        <mat-cell *matCellDef="let payments_reports">
                            <p class="text-truncate">{{payments_reports.payment_note}}</p>
                        </mat-cell>
                </ng-container>
                
                

               


                <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
                <mat-row *matRowDef="let payments_reports; columns: displayedColumns;"> </mat-row>
            </table>
            <mat-paginator #paginatorRef [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator>

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>
</div>